Skip to Content
kosemdocs
ReferenceAPIAccess profiles

Get IAM policy in organization

Gets the IAM policy of a access profile: who may issue credentials and manage it.

GET
/v1/organizations/{organization}/accessProfiles/{accessProfile}/iam-policy

Gets the IAM policy of a access profile: who may issue credentials and manage it.

Authorization

bearer
headerAuthorizationBearer <token>

An access token, or an API key.

Path Parameters

organization*string

The organization's ID.

Match^org_[0-7][0-9a-hjkmnp-tv-z]{25}$
accessProfile*string

The access profile's ID.

Match^acp_[0-7][0-9a-hjkmnp-tv-z]{25}$

Response Body

OK

application/json
  1. response
bindings*array<>

Role bindings. Each role appears at most once.

etag*string

Opaque version of the policy. Send it back when setting the policy; the update fails with aborted if the policy changed in between.

Example Request
curl -X GET 'https://api.kosem.ai/v1/organizations/string/accessProfiles/string/iam-policy'
Example Response
{
  "bindings": [
    {
      "members": [
        "string"
      ],
      "role": "string"
    }
  ],
  "etag": "string"
}